net.sf.cpsolver.studentsct.model

## Class AcademicAreaCode

- java.lang.Object
- - net.sf.cpsolver.studentsct.model.AcademicAreaCode

-     public class AcademicAreaCode
      extends Object

  Academic area and code. This class is used for `Student.getAcademicAreaClasiffications()`, `Student.getMajors()` , and `Student.getMinors()`.
  Version:
    StudentSct 1.2 (Student Sectioning)
    Copyright (C) 2007 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcademicAreaCode(String area, String code)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getArea()` Academic area
    `String` | `getCode()` Code
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AcademicAreaCode

          public AcademicAreaCode(String area,
                                  String code)

      Constructor
      Parameters:
        `area` - academic area
        `code` - code

  - ### Method Detail

    - #### getArea

          public String getArea()

      Academic area

    - #### getCode

          public String getCode()

      Code

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`